/*
 * Copyright (c) 2002-2005, Sergey Kirshner and the Regents of 
 * the University of California
 * All rights reserved.
 *
 * This software is open-source under the BSD license; see "LICENSE"
*/

/* matrix.h */
#include "struct.h"

/* Constants */
#define MATRIX_TINY 1E-10       // Smallest value allowed on the diagonal of the LU-decomposition

/* Variables */
long SINGULAR_FAIL;

/* Functions */
void ludcmp( double**, long, long*, double*, double** );
void lubksb( double**, long, long*, double*, double* );
